Fetch Report
Introduction
This API is responsible for generating a consolidated GSTR analytics report based on the requestId that was created during OTP Generation. You will require an authorization token to use this API. This authorization token will be generated by Signzy for you and will be used in each API call. Please contact [email protected] for this.
cURL
curl --location --globoff 'https://api.signzy.app/api/v3/gstr-analytics/fetch-report' \
--header 'Authorization: <Access-Token>' \
--header 'Content-Type: application/json' \
--data '{
"requestId": "d54becdf-05d9-49b9-9af8-7c93ae2772a4"
}Request Headers
Key | Value |
|---|---|
Authorization | Shared by Signzy |
Content-type | application/json |
Request Body
{
"requestId": "d54becdf-05d9-49b9-9af8-7c93ae2772a4"
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
requestId | The requestId that was created during Generate OTP API call | String | COMPULSORY |
Response Data
{
"result": {
"jsonDataUrl": "https://preproduction-persist.signzy.tech/api/files/4977718/download/d7c6741a42ac42a891a0dbbba67e130ac2b0448397264e2db647a0d01e7d8d2e.json",
"excelUrl": "https://preproduction-persist.signzy.tech/api/files/4977717/download/0b55ce3e3e5e42a0b3d8b3f372aa94b6c1b381e47293479e96592089ff6aa2b3.xlsx",
"pdfUrl": "https://preproduction-persist.signzy.tech/api/files/4977719/download/e07143d69dd648df8ae1a2892c719a130a1cc92a1271466598f3c583ca18e899.pdf"
}
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
jsonDataUrl | An URL that holds the GSTR analytics report in JSON format | String | OPTIONAL |
excelUrl | An URL that holds the GSTR analytics report in Excel format | String | OPTIONAL |
pdfUrl | An URL that holds the GSTR analytics report in PDF format | String | OPTIONAL |
status | This serves as an enum to indicate the status of the API call. Possible values - SUCCESS, FAILED | String | OPTIONAL |
message | It indicates whether the OTP was successfully authenticated or the request is still in progress | String | OPTIONAL |
Status Codes
{
"result": {
"status": "SUCCESS",
"message": "Request is in progress."
}
}
1. OTP is generated. Please proceed with the submit otp API to start processing.
2. Request is in progress.
3. OTP has expired. Please retry from OTP generation.Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].